<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@4041=64</action>
    </script>
  </cheat>

  <cheat desc="Display the Correct Answer">
    <script state="run">
      <action condition="maincpu.pb@4069==0A">maincpu.pb@4069=20</action> <action condition="maincpu.pb@406A==0A">maincpu.pb@406A=20</action>
      <action condition="maincpu.pb@406B==0A">maincpu.pb@406B=20</action> <action condition="maincpu.pb@406C==0A">maincpu.pb@406C=20</action>
      <action condition="maincpu.pb@406D==0A">maincpu.pb@406D=20</action> <action condition="maincpu.pb@406E==0A">maincpu.pb@406E=20</action>
      <action condition="maincpu.pb@406F==0A">maincpu.pb@406F=20</action> <action condition="maincpu.pb@4070==0A">maincpu.pb@4070=20</action>
      <action condition="maincpu.pb@4071==0A">maincpu.pb@4071=20</action> <action condition="maincpu.pb@4072==0A">maincpu.pb@4072=20</action>
      <action condition="maincpu.pb@4073==0A">maincpu.pb@4073=20</action> <action condition="maincpu.pb@4074==0A">maincpu.pb@4074=20</action>
      <action condition="maincpu.pb@4075==0A">maincpu.pb@4075=20</action> <action condition="maincpu.pb@4076==0A">maincpu.pb@4076=20</action>
      <action condition="maincpu.pb@4077==0A">maincpu.pb@4077=20</action> <action condition="maincpu.pb@4078==0A">maincpu.pb@4078=20</action>
      <action condition="maincpu.pb@4079==0A">maincpu.pb@4079=20</action> <action condition="maincpu.pb@407A==0A">maincpu.pb@407A=20</action>
      <action condition="maincpu.pb@407B==0A">maincpu.pb@407B=20</action> <action condition="maincpu.pb@407C==0A">maincpu.pb@407C=20</action>
      <action condition="maincpu.pb@407D==0A">maincpu.pb@407D=20</action> <action condition="maincpu.pb@407E==0A">maincpu.pb@407E=20</action>
      <action condition="maincpu.pb@407F==0A">maincpu.pb@407F=20</action> <action condition="maincpu.pb@4080==0A">maincpu.pb@4080=20</action>
      <action condition="maincpu.pb@4081==0A">maincpu.pb@4081=20</action> <action condition="maincpu.pb@4082==0A">maincpu.pb@4082=20</action>
      <action condition="maincpu.pb@4083==0A">maincpu.pb@4083=20</action> <action condition="maincpu.pb@4084==0A">maincpu.pb@4084=20</action>
      <action condition="maincpu.pb@4085==0A">maincpu.pb@4085=20</action> <action condition="maincpu.pb@4086==0A">maincpu.pb@4086=20</action>
      <action condition="maincpu.pb@4087==0A">maincpu.pb@4087=20</action> <action condition="maincpu.pb@4088==0A">maincpu.pb@4088=20</action>
      <output format="Solution : %c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c%c">
        <argument count="32">maincpu.pb@(4069 + argindex)</argument>
      </output>
      <action condition="maincpu.pb@4069==20">maincpu.pb@4069=0A</action> <action condition="maincpu.pb@406A==20">maincpu.pb@406A=0A</action>
      <action condition="maincpu.pb@406B==20">maincpu.pb@406B=0A</action> <action condition="maincpu.pb@406C==20">maincpu.pb@406C=0A</action>
      <action condition="maincpu.pb@406D==20">maincpu.pb@406D=0A</action> <action condition="maincpu.pb@406E==20">maincpu.pb@406E=0A</action>
      <action condition="maincpu.pb@406F==20">maincpu.pb@406F=0A</action> <action condition="maincpu.pb@4070==20">maincpu.pb@4070=0A</action>
      <action condition="maincpu.pb@4071==20">maincpu.pb@4071=0A</action> <action condition="maincpu.pb@4072==20">maincpu.pb@4072=0A</action>
      <action condition="maincpu.pb@4073==20">maincpu.pb@4073=0A</action> <action condition="maincpu.pb@4074==20">maincpu.pb@4074=0A</action>
      <action condition="maincpu.pb@4075==20">maincpu.pb@4075=0A</action> <action condition="maincpu.pb@4076==20">maincpu.pb@4076=0A</action>
      <action condition="maincpu.pb@4077==20">maincpu.pb@4077=0A</action> <action condition="maincpu.pb@4078==20">maincpu.pb@4078=0A</action>
      <action condition="maincpu.pb@4079==20">maincpu.pb@4079=0A</action> <action condition="maincpu.pb@407A==20">maincpu.pb@407A=0A</action>
      <action condition="maincpu.pb@407B==20">maincpu.pb@407B=0A</action> <action condition="maincpu.pb@407C==20">maincpu.pb@407C=0A</action>
      <action condition="maincpu.pb@407D==20">maincpu.pb@407D=0A</action> <action condition="maincpu.pb@407E==20">maincpu.pb@407E=0A</action>
      <action condition="maincpu.pb@407F==20">maincpu.pb@407F=0A</action> <action condition="maincpu.pb@4080==20">maincpu.pb@4080=0A</action>
      <action condition="maincpu.pb@4081==20">maincpu.pb@4081=0A</action> <action condition="maincpu.pb@4082==20">maincpu.pb@4082=0A</action>
      <action condition="maincpu.pb@4083==20">maincpu.pb@4083=0A</action> <action condition="maincpu.pb@4084==20">maincpu.pb@4084=0A</action>
      <action condition="maincpu.pb@4085==20">maincpu.pb@4085=0A</action> <action condition="maincpu.pb@4086==20">maincpu.pb@4086=0A</action>
      <action condition="maincpu.pb@4087==20">maincpu.pb@4087=0A</action> <action condition="maincpu.pb@4088==20">maincpu.pb@4088=0A</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
